<html>
 <head>
  <title>Company Dictionary - Available Database List</title>
    <style type="text/css">
        table.tblsty {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            border: 1px solid black;
            border-collapse: collapse;
            border-spacing: 20px;
        }

        th.thsty1 {
            text-align: left;
            font-weight: bold;
            border: 1px solid black;
            background: #808080;
        }

        th.thsty2 {
            text-align: center;
            font-weight: bold;
            border: 1px solid black;
            background: #c0c0c0;
        }

        tr.trsty1 {
            text-align: left;
        }

        td.tdsty {
            text-align: left;
            font-weight: normal;
            border: 1px solid black;
            padding: 2px;
        }

        p.psty1 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            font-weight: bold;
        }

        p.psty2 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }

        li.listy {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }
    </style>
 </head>
 <body>
  <table class="tblsty">
   <tr align="center"><th colspan="2" class="thsty1">LIST OF AVAILABLE DATABASES</th></tr>
   <tr><th class="thsty2">DATABASE ID</th><th class="thsty2">DATABASE NAME</th></tr>

<?php

 #*------------------------------------------------------------*
 #* Connect to the TESTDB MySQL database on the localhost.     *
 #* You will have to change localhost to the location of your  *
 #* database.  Contact your web administrator for more info.   *
 #*------------------------------------------------------------*
 $oConn = new mysqli("localhost","scott","tiger","TESTDB");

 #*------------------------------------------------------------*
 #* Ensure that the connection was successful.                 *
 #*------------------------------------------------------------*
 if ($oConn->connect_errno) {
  printf("Connection failed: %s\n", $oConn->connect_error);
  exit();
 }

 #*------------------------------------------------------------*
 #* Create a query that pulls all of the databases from the    *
 #* table DATADICT_DB_DEFN.                                    *
 #*------------------------------------------------------------*
 $sQueryDBDEFN = "SELECT DB_ID,DBNAME FROM DATADICT_DB_DEFN ORDER BY 2";

 #*------------------------------------------------------------*
 #* Query the dictionary to get a list of available databases. *
 #*------------------------------------------------------------*
 $oResult = $oConn->query($sQueryDBDEFN);

 #*------------------------------------------------------------*
 #* Display all of the available databases as links.           *
 #*------------------------------------------------------------*
 while ($oRow = $oResult->fetch_assoc()) {
  printf("<tr><td class=\"tdsty\">%s</td><td class=\"tdsty\"><a href=\"CompanyDictionary_TableList.php?DBID=%s\">%s</a></td></tr>",$oRow["DB_ID"],$oRow["DB_ID"],$oRow["DBNAME"]);
 }

 $oResult->free();
 $oConn->close();

?>
  </table>
 </body>
</html>