using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class CompanyDictionary_DatabaseList : System.Web.UI.Page
{
    protected String sHTML="";

    protected void Page_Load(object sender, EventArgs e)
    {
        //Build the HTML string for use in the display of the available databases.
        WriteOutHTML();
    }

    public void WriteOutHTML()
    {
        //Create a format string used to create the table rows and their associated table data.
        String sFormat = "<tr><td CLASS=\"tdsty\">{0}</td><td class=\"tdsty\"><a href=\"CompanyDictionary_TableList.aspx?DBID={0}\">{1}</a></td></tr>";

        //Connect to the database.
        const String sConn = @"Data Source=SCOTT-LAPTOP\SQLEXPRESS;Initial Catalog=TESTDB;Integrated Security=SSPI;";
        SqlConnection oConn = new SqlConnection(sConn);
        oConn.Open();

        //Create a SQL Command object to hold the appropriate SQL to display the list of available databases from the dictionary.
        SqlCommand oCmd = new SqlCommand("SELECT DB_ID,DB_NAME FROM DATADICT_DB_DEFN ORDER BY DB_ID", oConn);
        SqlDataReader oRdr = oCmd.ExecuteReader();

        //Build the string sHTML to hold the list of available databases.
        while (oRdr.Read())
        {
            sHTML += String.Format(sFormat,new object[] {(Int32)oRdr["DB_ID"], (String)oRdr["DB_NAME"]});
        }

        //Close the reader object.
        oRdr.Close();
    }
}