<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CompanyDictionary_TableDesc.aspx.cs" Inherits="CompanyDictionary_TableDesc" %>

<!DOCTYPE html>

<html>
 <head>
  <title>Company Dictionary - Table Description</title>
    <style type="text/css">
        table.tblsty {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            border: 1px solid black;
            border-collapse: collapse;
            border-spacing: 20px;
        }

        th.thsty1 {
            text-align: left;
            font-weight: bold;
            border: 1px solid black;
            background: #808080;
        }

        th.thsty2 {
            text-align: center;
            font-weight: bold;
            border: 1px solid black;
            background: #c0c0c0;
        }

        tr.trsty1 {
            text-align: left;
        }

        td.tdsty {
            text-align: left;
            font-weight: normal;
            border: 1px solid black;
            padding: 2px;
        }

        p.psty1 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            font-weight: bold;
        }

        p.psty2 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }

        li.listy {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }
    </style>  
 </head>
 <body>
  <table class="tblsty">
   <tr align="left"><th colspan="3" class="thsty1">Table: <%= sTableName %></th></tr>
   <tr><th class="thsty2">COLUMN NAME</th><th class="thsty2">DATABASE DATA TYPE</th><th class="thsty2">NULLABILITY</th></tr>

<%= sHTML %>

  </table>
  <p class="psty1">Table Description</p>
  <p class="psty2">&nbsp;<%= sTableDesc %></p>

  <p class="psty1">Column Description</p>
  <ul>
      <%= sColumnListElements %>
  </ul>

  <p class="psty1">Caveats</p>
  <ul>
      <%= sCaveatListElements %>
  </ul>

 </body>
</html>