using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class CompanyDictionary_TableList : System.Web.UI.Page
{
    protected String sHTML = "";
    public String sDBID = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        //Pull in the database ID from the HTTP GET.
        sDBID = Request.QueryString.Get("DBID");

        //Build the HTML string for use in displaying the tables based on the requested database.
        WriteOutHTML();
    }

    public void WriteOutHTML()
    {
        //Create a format string used to create the table rows and their associated table data.
        String sFormat = "<tr><td class=\"tdsty\">{0}</td><td class=\"tdsty\"><a href=\"CompanyDictionary_TableDesc.aspx?DBID={1}&TABLEID={0}\">{2}</a></td><td class=\"tdsty\">{3}</td></tr>";

        //Connect to the database.
        const String sConn = @"Data Source=SCOTT-LAPTOP\SQLEXPRESS;Initial Catalog=TESTDB;Integrated Security=SSPI;";
        SqlConnection oConn = new SqlConnection(sConn);
        oConn.Open();

        //Create a SQL Command object to hold the appropriate SQL to display the list of tables for the requested database.
        SqlCommand oCmd = new SqlCommand("SELECT A.DB_ID,A.TABLE_ID,A.TABLE_NAME,B.TABLE_DESC FROM DATADICT_TABLE_NAME A INNER JOIN DATADICT_TABLE_DESC B ON A.DB_ID=B.DB_ID AND A.TABLE_ID=B.TABLE_ID WHERE A.DB_ID=" + sDBID + " ORDER BY 2", oConn);
        SqlDataReader oRdr = oCmd.ExecuteReader();

        //Build the string sHTML to hold the list of tables for the requested database.
        while (oRdr.Read())
        {
            sHTML += String.Format(sFormat, new object[] { (Int32)oRdr["TABLE_ID"], (Int32)oRdr["DB_ID"], (String)oRdr["TABLE_NAME"], (String)oRdr["TABLE_DESC"] });
        }

        //Close the reader object.
        oRdr.Close();
    }
}