using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class CompanyDictionary_FuncProcList : System.Web.UI.Page
{
    protected String sHTML = "";
    public String sDBID = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        //Pull in the database ID from the HTTP GET.
        sDBID = Request.QueryString.Get("DBID");

        //Build the HTML string for use in the display a list of functions and procedures.
        WriteOutHTML();
    }

    public void WriteOutHTML()
    {
        //Create a format string used to create the table rows and their associated table data.
        String sFormat = "<tr><td class=\"tdsty\">{0}</td><td class=\"tdsty\"><a href=\"CompanyDictionary_FuncProcDesc.aspx?DBID={1}&FUNCPROCID={0}\">{2}</a></td><td class=\"tdsty\">{3}</td><td class=\"tdsty\">{4}</td></tr>";

        //Connect to the database.
        const String sConn = @"Data Source=SCOTT-LAPTOP\SQLEXPRESS;Initial Catalog=TESTDB;Integrated Security=SSPI;";
        SqlConnection oConn = new SqlConnection(sConn);
        oConn.Open();

        //Create a SQL Command object to hold the appropriate SQL to pull a list of available functions and procedures from the dictionary.
        SqlCommand oCmd = new SqlCommand("SELECT A.DB_ID,A.FUNCPROC_ID,A.FUNCPROC_NAME,B.FUNCPROC_DESC,A.FUNCPROC_TYPE FROM DATADICT_FUNCPROC_NAME A INNER JOIN DATADICT_FUNCPROC_DESC B ON A.DB_ID=B.DB_ID AND A.FUNCPROC_ID=B.FUNCPROC_ID WHERE A.DB_ID=" + sDBID + " ORDER BY 2", oConn);
        SqlDataReader oRdr = oCmd.ExecuteReader();

        //Build the string sHTML to hold the list of available functions and procedures.
        while (oRdr.Read())
        {
            sHTML += String.Format(sFormat, new object[] { (Int32)oRdr["FUNCPROC_ID"], (Int32)oRdr["DB_ID"], (String)oRdr["FUNCPROC_NAME"], (String)oRdr["FUNCPROC_TYPE"], (String)oRdr["FUNCPROC_DESC"] });
        }

        //Close the reader object.
        oRdr.Close();
    }
}