<html>
 <head>
  <title>Company Dictionary - Table List</title>
    <style type="text/css">
        table.tblsty {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            border: 1px solid black;
            border-collapse: collapse;
            border-spacing: 20px;
        }

        th.thsty1 {
            text-align: left;
            font-weight: bold;
            border: 1px solid black;
            background: #808080;
        }

        th.thsty2 {
            text-align: center;
            font-weight: bold;
            border: 1px solid black;
            background: #c0c0c0;
        }

        tr.trsty1 {
            text-align: left;
        }

        td.tdsty {
            text-align: left;
            font-weight: normal;
            border: 1px solid black;
            padding: 2px;
        }

        p.psty1 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            font-weight: bold;
        }

        p.psty2 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }

        li.listy {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }
    </style>
 </head>
 <body>
  <table class="tblsty">
   <tr align="center"><th colspan="3" class="thsty1">LIST OF AVAILABLE TABLES</th></tr>
   <tr><th class="thsty2">TABLE ID</th><th class="thsty2">TABLE NAME</th><th class="thsty2">TABLE DESCRIPTION</th></tr>

<?php

 #*------------------------------------------------------------*
 #* Pull in the DBID GET Variable from the link.               *
 #*------------------------------------------------------------*
 $DBID = $_GET["DBID"];

 #*------------------------------------------------------------*
 #* Connect to the TESTDB MySQL database on the localhost.     *
 #* You will have to change localhost to the location of your  *
 #* database.  Contact your web administrator for more info.   *
 #*------------------------------------------------------------*
 $oConn = new mysqli("localhost","scott","tiger","TESTDB");

 #*------------------------------------------------------------*
 #* Ensure that the connection was successful.                 *
 #*------------------------------------------------------------*
 if ($oConn->connect_errno) {
  printf("Connection failed: %s\n", $oConn->connect_error);
  exit();
 }

 #*------------------------------------------------------------*
 #* Create a query that pulls all the tables for the desired   *
 #* database from table DATADICT_TABLE_NAME.                   *
 #*------------------------------------------------------------*
 $sQueryTABLENAMES = "SELECT A.DB_ID,A.TABLE_ID,A.TABLE_NAME,B.TABLE_DESC FROM DATADICT_TABLE_NAME A INNER JOIN DATADICT_TABLE_DESC B ON A.DB_ID=B.DB_ID AND A.TABLE_ID=B.TABLE_ID WHERE A.DB_ID=" . $DBID . " ORDER BY 2";

 #*------------------------------------------------------------*
 #* Query the dictionary to get a list of available tables.    *
 #*------------------------------------------------------------*
 $oResult = $oConn->query($sQueryTABLENAMES);

 #*------------------------------------------------------------*
 #* Display all of the available tables as links.              *
 #*------------------------------------------------------------*
 while ($oRow = $oResult->fetch_assoc()) {
  printf("<tr><td class=\"tdsty\">%s</td><td class=\"tdsty\"><a href=\"CompanyDictionary_TableDesc.php?DBID=%s&TABLEID=%s\">%s</a></td><td class=\"tdsty\">%s</td></tr>",$oRow["TABLE_ID"],$oRow["DB_ID"],$oRow["TABLE_ID"],$oRow["TABLE_NAME"],$oRow["TABLE_DESC"]);
 }

 $oResult->free();
 $oConn->close();

?>
  </table>
 </body>
</html>