<html>
 <head>
  <title>Company Dictionary - Functions and Procedures List</title>
    <style type="text/css">
        table.tblsty {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            border: 1px solid black;
            border-collapse: collapse;
            border-spacing: 20px;
        }

        th.thsty1 {
            text-align: left;
            font-weight: bold;
            border: 1px solid black;
            background: #808080;
        }

        th.thsty2 {
            text-align: center;
            font-weight: bold;
            border: 1px solid black;
            background: #c0c0c0;
        }

        tr.trsty1 {
            text-align: left;
        }

        td.tdsty {
            text-align: left;
            font-weight: normal;
            border: 1px solid black;
            padding: 2px;
        }

        p.psty1 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
            font-weight: bold;
        }

        p.psty2 {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }

        li.listy {
            font-family: Verdana,sans-serif;
            font-size: 9pt;
        }
    </style>
 </head>
 <body>
  <table class="tblsty">
   <tr align="center"><th colspan="4" class="thsty1">LIST OF AVAILABLE FUNCTIONS AND PROCEDURES</th></tr>
   <tr><th class="thsty2">FUNCPROC ID</th><th class="thsty2">FUNCTION/PROCEDURE NAME</th><th class="thsty2">FUNCTION/PROCEDURE TYPE</th><th class="thsty2">FUNCTION/PROCEDURE DESCRIPTION</th></tr>

<?php

 #*------------------------------------------------------------*
 #* Pull in the DBID GET Variable from the link.               *
 #*------------------------------------------------------------*
 $DBID = $_GET["DBID"];

 #*------------------------------------------------------------*
 #* Connect to the TESTDB MySQL database on the localhost.     *
 #* You will have to change localhost to the location of your  *
 #* database.  Contact your web administrator for more info.   *
 #*------------------------------------------------------------*
 $oConn = new mysqli("localhost","scott","tiger","TESTDB");

 #*------------------------------------------------------------*
 #* Ensure that the connection was successful.                 *
 #*------------------------------------------------------------*
 if ($oConn->connect_errno) {
  printf("Connection failed: %s\n", $oConn->connect_error);
  exit();
 }

 #*------------------------------------------------------------*
 #* Create a query that pulls all of the functions and proce-  *
 #* dures for the desired database from the tables             *
 #* DATADICT_FUNCPROC_NAME and DATADICT_FUNCPROC_DESC.         *
 #*------------------------------------------------------------*
 $sQueryFUNCPROCNAMES = "SELECT A.DB_ID,A.FUNCPROC_ID,A.FUNCPROC_NAME,B.FUNCPROC_DESC,A.FUNCPROC_TYPE FROM DATADICT_FUNCPROC_NAME A INNER JOIN DATADICT_FUNCPROC_DESC B ON A.DB_ID=B.DB_ID AND A.FUNCPROC_ID=B.FUNCPROC_ID WHERE A.DB_ID=" . $DBID . " ORDER BY 2";

 #*------------------------------------------------------------*
 #* Query the dictionary to get a list of available func/procs.*
 #*------------------------------------------------------------*
 $oResult = $oConn->query($sQueryFUNCPROCNAMES);

 #*------------------------------------------------------------*
 #* Display all of the available func/procs as links.          *
 #*------------------------------------------------------------*
 while ($oRow = $oResult->fetch_assoc()) {
  printf("<tr><td class=\"tdsty\">%s</td><td class=\"tdsty\"><a href=\"CompanyDictionary_FuncProcDesc.php?DBID=%s&FUNCPROCID=%s\">%s</a></td><td class=\"tdsty\">%s</td><td class=\"tdsty\">%s</td></tr>",$oRow["FUNCPROC_ID"],$oRow["DB_ID"],$oRow["FUNCPROC_ID"],$oRow["FUNCPROC_NAME"],$oRow["FUNCPROC_TYPE"],$oRow["FUNCPROC_DESC"]);
 }

 $oResult->free();
 $oConn->close();

?>
  </table>
 </body>
</html>